<?php
/**
 * The template for adding Portfolio Settings in Customizer
 *
 * @package Catch Themes
 * @subpackage Parallax Frame Pro
 * @since Parallax Frame 1.0
 */

$wp_customize->add_section( 'parallax_frame_portfolio', array(
	'priority' => 700,
	'title'    => esc_html__( 'Portfolio', 'parallax-frame-pro' ),
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_option]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $defaults['portfolio_option'],
	'sanitize_callback' => 'parallax_frame_sanitize_select',
) );

$parallax_frame_featured_slider_content_options = parallax_frame_featured_slider_content_options();
$choices = array();
foreach ( $parallax_frame_featured_slider_content_options as $parallax_frame_featured_slider_content_option ) {
	$choices[$parallax_frame_featured_slider_content_option['value']] = $parallax_frame_featured_slider_content_option['label'];
}

$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_option]', array(
	'choices'  => $choices,
	'label'    => esc_html__( 'Enable Portfolio on', 'parallax-frame-pro' ),
	'section'  => 'parallax_frame_portfolio',
	'settings' => 'parallax_frame_theme_options[portfolio_option]',
	'type'     => 'select',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_layout]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $defaults['portfolio_layout'],
	'sanitize_callback' => 'parallax_frame_sanitize_select',
) );

$portfolio_layout_options = parallax_frame_featured_content_layout_options();
$choices = array();
foreach ( $portfolio_layout_options as $portfolio_layout_option ) {
	$choices[$portfolio_layout_option['value']] = $portfolio_layout_option['label'];
}

$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_layout]', array(
	'active_callback' => 'parallax_frame_is_portfolio_active',
	'choices'         => $choices,
	'label'           => esc_html__( 'Select Portfolio Layout', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_portfolio',
	'settings'        => 'parallax_frame_theme_options[portfolio_layout]',
	'type'            => 'select',
) );

// $wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_position]', array(
// 	'capability'		=> 'edit_theme_options',
// 	'default'			=> $defaults['portfolio_position'],
// 	'sanitize_callback' => 'parallax_frame_sanitize_checkbox'
// ) );

// $wp_customize->add_control( 'parallax_frame_theme_options[portfolio_position]', array(
// 	//'active_callback' => 'parallax_frame_is_portfolio_active',
// 	'label'           => esc_html__( 'Check to Move above Footer', 'parallax-frame-pro' ),
// 	'section'         => 'parallax_frame_portfolio',
// 	'settings'        => 'parallax_frame_theme_options[portfolio_position]',
// 	'type'            => 'checkbox',
// ) );

// $wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_slider]', array(
// 	'capability'        => 'edit_theme_options',
// 	'default'           => $defaults['portfolio_slider'],
// 	'sanitize_callback' => 'parallax_frame_sanitize_checkbox'
// ) );

// $wp_customize->add_control( 'parallax_frame_theme_options[portfolio_slider]', array(
// 	//'active_callback' => 'parallax_frame_is_portfolio_active',
// 	'label'           => esc_html__( 'Check to Enable Slider', 'parallax-frame-pro' ),
// 	'section'         => 'parallax_frame_portfolio',
// 	'settings'        => 'parallax_frame_theme_options[portfolio_slider]',
// 	'type'            => 'checkbox',
// ) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_headline]', array(
	'capability'        => 'edit_theme_options',
	'default'           => $defaults['portfolio_headline'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_headline]' , array(
	'active_callback' => 'parallax_frame_is_portfolio_active',
	'description'     => esc_html__( 'Leave field empty if you want to remove Headline', 'parallax-frame-pro' ),
	'label'           => esc_html__( 'Headline for Portfolio', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_portfolio',
	'settings'        => 'parallax_frame_theme_options[portfolio_headline]',
	'type'            => 'text',
	)
);

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_subheadline]', array(
	'capability'        => 'edit_theme_options',
	'default'           => $defaults['portfolio_subheadline'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_subheadline]' , array(
	'active_callback' => 'parallax_frame_is_portfolio_active',
	'description'     => esc_html__( 'Leave field empty if you want to remove Sub-headline', 'parallax-frame-pro' ),
	'label'           => esc_html__( 'Sub-headline for Portfolio', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_portfolio',
	'settings'        => 'parallax_frame_theme_options[portfolio_subheadline]',
	'type'            => 'text',
	)
);

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_type]', array(
	'capability'        => 'edit_theme_options',
	'default'           => $defaults['portfolio_type'],
	'sanitize_callback' => 'parallax_frame_sanitize_select',
) );

$parallax_frame_portfolio_types = parallax_frame_portfolio_types();
$choices = array();
foreach ( $parallax_frame_portfolio_types as $parallax_frame_portfolio_type ) {
	$choices[$parallax_frame_portfolio_type['value']] = $parallax_frame_portfolio_type['label'];
}

$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_type]', array(
	'active_callback' => 'parallax_frame_is_portfolio_active',
	'choices'         => $choices,
	'label'           => esc_html__( 'Select Portfolio Type', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_portfolio',
	'settings'        => 'parallax_frame_theme_options[portfolio_type]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_number]', array(
	'capability'        => 'edit_theme_options',
	'default'           => $defaults['portfolio_number'],
	'sanitize_callback' => 'parallax_frame_sanitize_number_range',
) );

$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_number]' , array(
	'active_callback' => 'parallax_frame_is_demo_portfolio_inactive',
	'description'     => esc_html__( 'Save and refresh the page if No. of Portfolio is changed (Max no of Portfolio is 20)', 'parallax-frame-pro' ),
	'input_attrs'     => array(
		'style' => 'width: 45px;',
		'min'   => 0,
		'max'   => 20,
		'step'  => 1,
	),
	'label'           => esc_html__( 'No of Portfolio', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_portfolio',
	'settings'        => 'parallax_frame_theme_options[portfolio_number]',
	'type'            => 'number',
	)
);

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_select_category]', array(
	'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_category_list',
) );

$wp_customize->add_control( new parallax_frame_customize_dropdown_categories_control( $wp_customize, 'parallax_frame_portfolio_select_category', array(
	'active_callback' => 'parallax_frame_is_category_portfolio_active',
	'label'           => esc_html__( 'Select Categories', 'parallax-frame-pro' ),
	'name'            => 'parallax_frame_theme_options[portfolio_select_category]',
	'section'         => 'parallax_frame_portfolio',
	'settings'        => 'parallax_frame_theme_options[portfolio_select_category]',
	'type'            => 'dropdown-categories',
) ) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_hide_category]', array(
    'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
) );

$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_hide_category]', array(
	'active_callback' => 'parallax_frame_is_post_category_portfolio_inactive',
	'label'           => esc_html__( 'Check to Hide Category Meta', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[portfolio_hide_category]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_hide_tags]', array(
    'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
) );

$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_hide_tags]', array(
	'active_callback' => 'parallax_frame_is_post_category_portfolio_inactive',
	'label'           => esc_html__( 'Check to Hide Tag Meta', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[portfolio_hide_tags]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_hide_date]', array(
    'capability'		=> 'edit_theme_options',
	'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
) );

$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_hide_date]', array(
	'active_callback' => 'parallax_frame_is_post_category_portfolio_inactive',
	'label'           => esc_html__( 'Check to Hide Posted On Date', 'parallax-frame-pro' ),
	'section'         => 'parallax_frame_header_highlight_content',
	'settings'        => 'parallax_frame_theme_options[portfolio_hide_date]',
	'type'            => 'checkbox',
) );

if ( is_multi_author() ) {
    $wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_hide_author]', array(
        'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_hide_author]', array(
		'active_callback' => 'parallax_frame_is_post_category_portfolio_inactive',
		'label'           => esc_html__( 'Check to Hide Author Meta', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_header_highlight_content',
		'settings'        => 'parallax_frame_theme_options[portfolio_hide_author]',
		'type'            => 'checkbox',
    ) );
}

for ( $i=1; $i <=  $options['portfolio_number'] ; $i++ ) {

	//for featured post content
	$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_post_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'parallax_frame_sanitize_page',
		)
	);

	$wp_customize->add_control( 'parallax_frame_portfolio_post_'. $i, array(
			'active_callback' => 'parallax_frame_is_post_portfolio_active',
			'input_attrs'     => array(
					'style' => 'width: 40px;'
				),
			'label'           => esc_html__( 'Featured Post', 'parallax-frame-pro' ) . ' ' . $i ,
			'section'         => 'parallax_frame_portfolio',
			'settings'        => 'parallax_frame_theme_options[portfolio_post_'. $i .']',
			'type'            => 'text',
		)
	);

	$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_page_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_page',
	) );

	$wp_customize->add_control( 'parallax_frame_portfolio_page_'. $i, array(
		'active_callback' => 'parallax_frame_is_page_portfolio_active',
		'label'           => esc_html__( 'Featured Page', 'parallax-frame-pro' ) . ' ' . $i ,
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_page_'. $i .']',
		'type'            => 'dropdown-pages',
	) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_note_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( new parallax_frame_note_control( $wp_customize, 'portfolio_note_'. $i, array(
		'active_callback' => 'parallax_frame_is_image_portfolio_active',
		'label'           => esc_html__( 'Portfolio #', 'parallax-frame-pro' ) .  $i,
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_note_'. $i .']',
		'type'            => 'description',
	) ) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_image_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'portfolio_image_'. $i , array(
		'active_callback' => 'parallax_frame_is_image_portfolio_active',
		'label'           => esc_html__( 'Image', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_image_'. $i .']',
	) ) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_link_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'esc_url_raw',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_link_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_image_portfolio_active',
		'label'           => esc_html__( 'Link', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_link_'. $i .']',
	) );

	$wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_target_'. $i .']', array(
        'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'parallax_frame_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_target_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_image_portfolio_active',
		'label'           => esc_html__( 'Check to Open Link in New Window/Tab', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_target_'. $i .']',
		'type'            => 'checkbox',
    ) );

    $wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_title_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control(  'parallax_frame_theme_options[portfolio_title_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_image_portfolio_active',
		'label'           => esc_html__( 'Title', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_title_'. $i .']',
		'type'            => 'text',
    ) );

    $wp_customize->add_setting( 'parallax_frame_theme_options[portfolio_content_'. $i .']', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'parallax_frame_theme_options[portfolio_content_'. $i .']', array(
		'active_callback' => 'parallax_frame_is_image_portfolio_active',
		'label'           => esc_html__( 'Content', 'parallax-frame-pro' ),
		'section'         => 'parallax_frame_portfolio',
		'settings'        => 'parallax_frame_theme_options[portfolio_content_'. $i .']',
		'type'            => 'textarea',
    ) );
}